
package br.com.conductor.heimdall.core.converter;

/*-
 * =========================LICENSE_START==================================
 * heimdall-core
 * ========================================================================
 * Copyright (C) 2018 Conductor Tecnologia SA
 * ========================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ==========================LICENSE_END===================================
 */

import java.util.List;

import org.modelmapper.AbstractConverter;
import org.modelmapper.Converter;
import org.modelmapper.PropertyMap;

import br.com.conductor.heimdall.core.dto.ResourceDTO;
import br.com.conductor.heimdall.core.entity.Resource;
import br.com.twsoftware.alfred.object.Objeto;

/**
 * Maps a {@link ResourceDTO} to a {@link Resource} object.
 *
 * @author  * @author Filipe Germano

 *
 */
public class ResourceMap extends PropertyMap<ResourceDTO, Resource> {

     @Override
     protected void configure() {

          using(tagsConverter).map(source.getTags(), destination.getTag());
     }

     Converter<List<String>, String> tagsConverter = new AbstractConverter<List<String>, String>() {
          
          protected String convert(List<String> tags) {
               
               String tag = null;
               if (Objeto.notBlank(tags)) {

                    tag = String.join(";", tags);
               }
               
               return tag;
          }
     };

}
